List file shares
curl --request GET \
--url https://api.gcore.com/cloud/v1/file_shares/{project_id}/{region_id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.gcore.com/cloud/v1/file_shares/{project_id}/{region_id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/cloud/v1/file_shares/{project_id}/{region_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 1,
"results": [
{
"connection_point": "10.254.0.43:/shares/share-7c14ca01-ea5e-4d85-a6e2-c104fe6b561a",
"created_at": "2023-04-25T11:06:49.226920",
"creator_task_id": "6ab1ead7-8640-4ae9-9e20-9e0bafcd2eca",
"id": "bd8c47ee-e565-4e26-8840-b537e6827b08",
"name": "test-sfs",
"network_id": "e72fd98e-32fa-474d-b0a3-bca11c3064ff",
"network_name": "File_share_test-sfs",
"project_id": 1337,
"protocol": "NFS",
"region": "Luxembourg 1",
"region_id": 7,
"share_network_name": "File_share_test-sfs_network",
"share_settings": {
"type_name": "<string>"
},
"size": 10,
"subnet_id": "ac601bb9-4d77-4356-96de-66ab29711815",
"subnet_name": "subnet_test-sfs",
"tags": [
{
"key": "my-tag",
"read_only": false,
"value": "my-tag-value"
}
],
"task_id": "22b1eau7-8641-4ae9-9n20-9e0b5fcd2gca"
}
]
}File Shares
List file shares
GET
/
cloud
/
v1
/
file_shares
/
{project_id}
/
{region_id}
List file shares
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234$abcdef
Path Parameters
Project ID
Example:
1
Region ID
Example:
1
Query Parameters
Optional. Limit the number of returned items
Required range:
x <= 1000Example:
1000
File share name. Uses partial match.
Example:
"test-sfs"
Optional. Offset value is used to exclude the first set of records from the result
Required range:
x >= 0Example:
0
File share type name
Available options:
standard, vast Example:
"standard"
Was this page helpful?
⌘I